package com.yidianling.home.model.bean

/**
 * Created by haorui on 2019/2/14.
 * Des:首页数据
 */
class HomePagerDataBean() {

    constructor(type: Int) : this() {
        this.type = type;
    }

    constructor(homeHeaderBean: HomeHeaderBean,
                homeConsultBean: HomeConsultBean,
                homeConfideBean: HomeConfideBean,
                homeCourseBean: HomeCourseBean,
                testListBean: MutableList<HomeTestItemBean>?,
                homeAskBean: HomeAskBean,
                museBean: MuseModuleBean,
                homeFMBean: HomeFMBean,
                homeArticleBean: HomeArticleBean):this(){
        this.headerBean = homeHeaderBean
        this.consultBean = homeConsultBean
        this.articleBean = homeArticleBean
        this.askBean = homeAskBean
        this.courseBean = homeCourseBean
        this.testListBean = testListBean
        this.museBean = museBean
        this.fmBean = homeFMBean
        this.confideBean = homeConfideBean
    }
    /**
     * 咨询模块数据
     */
    var consultBean: HomeConsultBean? = null
    /**
     * 文章模块数据
     */
    var articleBean: HomeArticleBean? = null
    /**
     * 问答模块数据
     */
    var askBean: HomeAskBean? = null
    /**
     * 课程模块数据
     */
    var courseBean: HomeCourseBean? = null
    /**
     * 测试模块数据
     */
    var testListBean: MutableList<HomeTestItemBean>? = null
    /**
     * 冥想模块数据
     */
    var museBean: MuseModuleBean? = null
    /**
     * 电台模块数据
     */
    var fmBean: HomeFMBean? = null
    /**
     * 倾述模块数据
     */
    var confideBean: HomeConfideBean? = null
    /**
     * 首页头部数据
     */
    var headerBean: HomeHeaderBean? = null
    /**
     * 模块分类 @see [com.yidianling.home.constract.YdlHomeViewHolderConstract]
     */
    var type: Int?= 0
}


